### Constructor

# Vips Source new_from_target

#### Declaration [src]

    VipsSource*
    vips_source_new_from_target (
      VipsTarget* target
    )

#### Description [src]

Create a source from a temp target that has been written to.

#### Parameters

`target`

  Type: `VipsTarget`

  Build the source from this target.

  The data is owned by the caller of the function.

#### Return value

Type: `VipsSource`

A new source.

The caller of the function takes ownership of the data, and is responsible for freeing it.